# install-debugclients

Installation script for the eric debug clients.

### Global Attributes

currDir
distDir
doCleanup
doCompile
eric7SourceDir
installPackage
modDir
progName
pyModDir
sourceDir

### Classes

None

### Functions

cleanUp | Uninstall the old eric debug client files.
cleanupSource | Cleanup the sources directory to get rid of leftover files and directories.
copyTree | Copy files of a directory tree.
exit | Exit the install script.
initGlobals | Module function to set the values of globals that need more than a simple assignment.
installEricDebugClients | Actually perform the installation steps.
main | The main function of the script.
shutilCopy | Wrapper function around shutil.copy() to ensure the permissions.
usage | Display a usage message and exit.

## cleanUp

cleanUp()

Uninstall the old eric debug client files.

Up

## cleanupSource

cleanupSource(dirName)

Cleanup the sources directory to get rid of leftover files and directories.

dirName
  name of the directory to prune (string)

Up

## copyTree

copyTree(src, dst, filters, excludeDirs=None, excludePatterns=None)

Copy files of a directory tree.

src
  name of the source directory
dst
  name of the destination directory
filters
  list of filter pattern determining the files to be copied
excludeDirs
  list of (sub)directories to exclude from copying
excludePatterns
  list of filter pattern determining the files to be skipped

Up

## exit

exit(rcode=0)

Exit the install script.

rcode
  result code to report back (integer)

Up

## initGlobals

initGlobals()

Module function to set the values of globals that need more than a simple assignment.

Up

## installEricDebugClients

installEricDebugClients()

Actually perform the installation steps.

Return:
  result code (integer)

Up

## main

main(argv)

The main function of the script.

argv
  the list of command line arguments.

Up

## shutilCopy

shutilCopy(src, dst, perm=0o644)

Wrapper function around shutil.copy() to ensure the permissions.

src
  source file name (string)
dst
  destination file name or directory name (string)
perm
  permissions to be set (integer)

Up

## usage

usage(rcode=2)

Display a usage message and exit.

rcode
  the return code passed back to the calling process.

Up